/*  www.sgm.siedlce.pl

prosty test detekcji 1 kanalu odbiornika RC

*/

byte PinRx1 = 8;   // kana1 z odbiornika podlaczony do Pin8
int PPM1 = 0;      // zmienna na dlugosc impulsu PPM1
byte Rx1 = 0;      // zmienna na test stanu kanalu
int Licz = 0;      // zmienne pozwalajace drukowac
int LiczMax = 10;  // co 10 impuls PPM1

void setup()
{
  pinMode(PinRx1,INPUT); // ustaw PinRx1 jako wejscie
  Serial.begin(57600);   // ustaw predkosc transmisji
                         // do wyswietlania długosci
                         // impulsu w oknie terminala
}

void loop() {       // glowna petla programu
 
 Rx1=digitalRead(PinRx1);    // przeczytaj kanal
 if (Rx1==0) {               // jesli stan niski rozpocznij detekcje

  PPM1=pulseIn(PinRx1,HIGH); // detekcja impulsu PPM na PinRx1
  
  // tu mozna wykonac kod uzytkowy
  // na podstawie zmierzonej dlugosci impulsu
  
  Licz += 1;                 // zwieksz licznik impulsow o 1 
  if (Licz>LiczMax) {        // drukuj co n-ty impuls jego
                             // w dlugosc w mikrosekundach 
   Serial.println(PPM1);     
   Licz = 0;
  }
  
 }
 
}
